Page MenuHomePhabricator

Make WDQS UI page title configurable
Closed, ResolvedPublic5 Estimate Story Points

Description

Problem:
copyright.html, embed.html and index.html contain a hardcoded <title>Wikidata Query Service</title> element, which is not suitable for all installations. It should be configurable.

Acceptance criteria:

  • the name of the query service can be adapted for a project in one single place

Approach

  • Have a JS script that runs on page load for all of the pages referenced that replaces the titles with other configured titles

Patch-For-Review

Details

Related Gerrit Patches:

Event Timeline

Vvjjkkii renamed this task from Make WDQS UI page title configurable to hddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from hddaaaaaaa to Make WDQS UI page title configurable.Jul 1 2018, 4:32 PM
Vachovec1 raised the priority of this task from High to Needs Triage.
Vachovec1 added a subscriber: Aklapper.
Addshore triaged this task as Medium priority.Dec 4 2018, 9:21 AM
Addshore set the point value for this task to 5.Dec 4 2018, 2:14 PM
Addshore updated the task description. (Show Details)Dec 4 2018, 2:53 PM

Change 477627 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[wikidata/query/gui@master] Change title of page to config.brand.title

https://gerrit.wikimedia.org/r/477627

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 4 2018, 8:06 PM

Change 477774 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Set document title without jQuery

https://gerrit.wikimedia.org/r/477774

Change 477627 merged by jenkins-bot:
[wikidata/query/gui@master] Change title of page to config.brand.title

https://gerrit.wikimedia.org/r/477627

Change 477774 merged by jenkins-bot:
[wikidata/query/gui@master] Set document title without jQuery

https://gerrit.wikimedia.org/r/477774

Note: as currently implemented, this will change the title on query.wikidata.org from “Wikidata Query Service” to “Wikidata Query”, without the “Service” (because that’s the name that’s displayed in the upper left corner, between the logo and the “examples” button). We may need to split the “brand” into two different strings to preserve the current WDQS behavior.

Change 477836 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Change “Wikidata Query” to “Wikidata Query Service”

https://gerrit.wikimedia.org/r/477836

Lydia says we can just change the brand to include the word “service” – see the above change.

Change 477836 merged by jenkins-bot:
[wikidata/query/gui@master] Change “Wikidata Query” to “Wikidata Query Service”

https://gerrit.wikimedia.org/r/477836

Change 477842 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 0b6e4cb55e254379d0c58527355bba654dc61b92:

https://gerrit.wikimedia.org/r/477842

Change 477842 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 0b6e4cb55e254379d0c58527355bba654dc61b92:

https://gerrit.wikimedia.org/r/477842

Change 480583 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[wikidata/query/gui@master] Set title from config in embed.html

https://gerrit.wikimedia.org/r/480583

Change 480660 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[wikidata/query/gui@master] Set title from config in copyright.html

https://gerrit.wikimedia.org/r/480660

Change 480583 merged by jenkins-bot:
[wikidata/query/gui@master] Set title from config in embed.html

https://gerrit.wikimedia.org/r/480583

Change 480660 abandoned by Ladsgroup:
Set title from config in copyright.html

Reason:
In favor of I39e16dff1e4d98a165acf14848c2dca3cb668a1b

https://gerrit.wikimedia.org/r/480660

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 19 2018, 12:47 PM
Addshore closed this task as Resolved.Jan 7 2019, 6:12 PM
Addshore added a subscriber: Addshore.

I updated the wikibase-registry query service UI and this can be seen working there: https://wikibase-registry-query.wmflabs.org